Bug 869036 - perf-3.6.1-1.fc18.ppc64p7 records data it can't parse
perf-3.6.1-1.fc18.ppc64p7 records data it can't parse
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
ppc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 16:43 EDT by Adam Jackson
Modified: 2012-12-21 10:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-13 12:59:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2012-10-22 16:43:00 EDT
'perf record' emits a perf.data such that 'perf report' throws:

0x3d1e0 [0x20]: failed to process type: 9

I'm only seeing this on ppc64 so far.
Comment 1 Adam Jackson 2012-12-13 12:59:16 EST
Not seeing this anymore, so, cool.
Comment 2 karlp 2012-12-21 10:38:44 EST
I saw this today too, on amd64.  "perf report" worked, but "perf report -s dso" failed with this error.

I suspect this is possibly from having done kernel upgrades via yum, but having not rebooted yet.  3.6.10-2.fc17 is installed, but I'm still running 3.6.9-2.fc17.x86_64

(So probably NOTABUG, but this might help anyone googling this error...)

Note You need to log in before you can comment on or make changes to this bug.